
#include "ldap.h"

#if defined(_WIN32)
#include <gssapi_2.h>
#else
#include <gssapi/gssapi.h>
#endif 

typedef struct {
	OM_uint32 maj_stat;
	OM_uint32 min_stat;
	gss_name_t target_name;
}gss_err_code;

int ldap_gssbind(
	LDAP *ld,
	char *ldapHost,
	char *mechanism, 
	char *DN, 
	char *credential,
	gss_err_code *err_code);

char *ldap_gss_error(
	gss_err_code err);

/* GSS Errors (continued from LDAP_REFERRAL_LIMIT_EXCEEDED) */
#define LDAP_GSS_ERROR 0x62
#define LDAP_GSS_SECURITY_ERROR 0x63
#define LDAP_GSS_IMPORT_ERROR 0x64

